Mail::SpamAssassin::Plugin::PhishTag(3pm)

NAME
PhishTag - SpamAssassin plugin for redirecting links in incoming emails.

SYNOPSIS
 loadplugin     Mail::SpamAssassin::Plugin::PhishTag

 trigger_ratio    0.1
 trigger_target   RULE_NAME  http://www.antiphishing.org/consumer_recs.html

DESCRIPTION
PhishTag enables administrators to rewrite links in emails that trigger certain tests, preferably anti-phishing blocklist tests. The plugin will inhibit the blocking of a portion of the emails that trigger the test by SpamAssassin, and let them pass to the users' inbox after the rewrite. It is useful in providing training to email users about company policies and general email usage.

OPTIONS
The following options can be set by modifying the configuration file.

•   trigger_ratio percentage_value

    Sets the probability in percentage that a positive test will trigger the email rewrite, e.g. 0.1 will rewrite on the average 1 in 1000 emails that match the trigger.

•   trigger_target RULE_NAME http_url

    The name of the test which would trigger the email rewrite; all the URLs will be replaced by http_url.

DOWNLOAD
The source of this plugin is available at: http://umut.topkara.org/PhishTag/PhishTag.pm a sample configuration file is also available: http://umut.topkara.org/PhishTag/PhishTag.cf

SEE ALSO
Check the list of tests performed by SpamAssassin to modify the configuration file to match your needs from https://spamassassin.apache.org/tests.html

AUTHOR
Umut Topkara, 2008, <umut@topkara.org> http://umut.topkara.org

COPYRIGHT AND LICENSE
This plugin is free software; you can redistribute it and/or modify it under the same terms as SpamAssassin itself, either version 3.2.4 or, at your option, any later version of SpamAssassin you may have available.